Panda3D

Loading...
Searching...
No Matches
Functions
nodePath.I File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

Go to the source code of this file.

## Functions
| CPT (RenderState) NodePath
| Returns the net state on this node from the root.
| CPT (TransformState) NodePath
| Returns the net transform on this node from the root.
std::ostream & | operator<< (std::ostream &out, const NodePath &node_path)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2002-02-25

Definition in file nodePath.I.

## Function Documentation

## ◆ CPT() [1/2]

CPT | ( | RenderState |  | ) |
| inline

Returns the net state on this node from the root.

Adds the indicated render attribute to the scene graph on this node. This attribute will now apply to this node and everything below. If there was already an attribute of the same type, it is replaced.

Definition at line 435 of file nodePath.I.

## ◆ CPT() [2/2]

CPT | ( | TransformState |  | ) |
| inline

Returns the net transform on this node from the root.

Returns the net "previous" transform on this node from the root.

Sets the transform that represents this node's "previous" position, one frame ago, for the purposes of detecting motion for accurate collision calculations.

See set_prev_transform().

Sets the translation component of the transform, leaving rotation and scale untouched. This also resets the node's "previous" position, so that the collision system will see the node as having suddenly appeared in the new position, without passing any points in between.

Definition at line 583 of file nodePath.I.

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | out,
|  | const NodePath & | node_path )
| inline

Definition at line 2124 of file nodePath.I.